'use strict';
let download = require('git-clone');
let os = require('os');
let ora = require('ora');
let uid = require('uid');
let rm = require('rimraf').sync;

module.exports = function (template, callback) {
    let tempArr = template.split(':');
    let templateName = tempArr[0];
    let branch;
    if(tempArr.length > 1) {
        branch = tempArr[1];
    }
    let tmp = os.tmpdir() + '/vue-template-' + uid();
    let url = `http://172.16.13.191/weidianFE/${templateName}.git`;
    let spinner = ora(`    拉取模板中：${template}...`);

    spinner.start();

    if(branch) {
        download(url, tmp, {
            checkout: branch
        }, (err) => {
            spinner.stop();
            process.on('exit', () => {
                rm(tmp);
            });
            callback(err, tmp);
        });
    }else {
        download(url, tmp, (err) => {
            spinner.stop();
            process.on('exit', () => {
                rm(tmp);
            });
            callback(err, tmp);
        });
    }
};